﻿using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using App6.Controls;
using App6.Droid.Renderers;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;


namespace App6.Droid.Renderers
{
    public class TotoControlRenderer : ViewRenderer<TotoControl, Android.Widget.Button>
    {
        public TotoControlRenderer(Context context) : base(context)
        {
        }

        protected override void OnElementChanged(ElementChangedEventArgs<TotoControl> e)
        {
            if (e.NewElement != null)
            {
                var native = new Android.Widget.Button(Context);
                native.Text = e.NewElement.Text;
                
                SetNativeControl(native);
            }
            base.OnElementChanged(e);
        }
    }
}