﻿using DryIoc;
using MyApp.IoC;

namespace App6.Services
{
    public class PrismDependencyResolver : IDependencyResolver
    {
        private IContainer _container;

        public PrismDependencyResolver(IContainer container)
        {
            _container = container;
        }

        public T Get<T>() where T : class
        {
            //return DependencyService.Get<T>();
            return _container.Resolve<T>();
        }
    }
}
