﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace App6
{
    public class MonService : IMonService
    {
        public async Task<List<CategoryViewModel>> GetCategories()
        {
            //await Task.Delay(5000);

            var categories = new List<CategoryViewModel>();
            for (int i = 0; i < 5; i++)
            {
                var category = new CategoryViewModel();
                category.Name = $"Category {i}";
                category.Items = new List<ItemViewModel>();

                for (int j = 0; j < 5; j++)
                {
                    category.Items.Add(new ItemViewModel
                    {
                        Name = $"Item {i} {j}"
                    });
                }

                categories.Add(category);
            }

            return categories;
        }
    }
}
