﻿using System;

namespace MyApp.IoC
{
    public class DependencyResolver
    {
        private static IDependencyResolver _container;

        public static void SetInstance(IDependencyResolver container)
        {
            _container = container;
        }

        static public T Get<T>() where T : class
        {
            return _container.Get<T>();
        }
    }
}
